<?php


namespace App\Core\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

use Illuminate\Support\Facades\Log ;



class WellcomeMail extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    protected $param;

    public function __construct($param)
    {
        $this->param = $param;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {

        $val = $this->param;
        Log::debug($val);
        return $this->view('emails.wellCome', compact('val'))
            ->to('ygundogdu@rezervasyon.com', 'yadican')
            ->bcc('ygundogdu@rezervasyon.com', 'Burhan YUMAK')
            ->bcc('ygundogdu@rezervasyon.com', 'Operasyon')
            ->subject("WellCome Mail");
    }
}